%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%define pear_name %(echo %{name} | sed -e 's/^php-dropbox-php-//' -e 's/-/_/g')
%global channelname pear.dropbox-php.com

Name:           php-dropbox-php-Dropbox
Version:        1.0.0
Release:        3%{?dist}
Summary:        Library for integrating dropbox with PHP

License:        MIT
URL:            http://www.dropbox-php.com/
Source0:        http://%{channelname}/get/%{pear_name}-%{version}.tgz

BuildArch:      noarch

BuildRequires:  php-pear(PEAR)
BuildRequires:  php-channel(%{channelname})

Requires:       php-pear(PEAR)
Requires:       php-channel(%{channelname})
Requires(post): %{__pear}
Requires(postun): %{__pear}

Requires:       php-oauth php-spl php-curl php-date php-hash
Requires:       php-json php-pcre

Requires:       php-pear(HTTP_OAuth)

Provides:       php-pear(%{channelname}/%{pear_name}) = %{version}

%description
This PHP library allows you to easily integrate dropbox with PHP.
The library makes use of OAuth.


%prep
%setup -q -c

mv package.xml %{pear_name}-%{version}/%{name}.xml


%build


%install
cd %{pear_name}-%{version}
rm -rf %{buildroot} docdir
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{channelname}/%{pear_name} >/dev/null || :
fi


%files
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/%{pear_name}


%changelog
* Wed Mar 06 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 1.0.0-3
- require HTTP_OAuth
- get source from pear host http://pear.dropbox-php.com

* Wed Feb 27 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 1.0.0-2
- rename to php-dropbox-php-Dropbox

* Tue Feb 19 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 1.0.0-1
- Initial package